Ads and Commerce
Ads and Commerce
Resources

Ad Campaign Ads

Updated: Jul 13, 2020

Reading

The ads under this ad set.

Example

GET /v25.0/<AD_SET_ID>/ads?fields=name%2Cid HTTP/1.1
Host: graph.facebook.com
If you want to learn how to use the Graph API, read our Using Graph API guide

Parameters

Parameter Description
date_preset
enum{today, yesterday, this_month, last_month, this_quarter, maximum, data_maximum, last_3d, last_7d, last_14d, last_28d, last_30d, last_90d, last_week_mon_sun, last_week_sun_sat, last_quarter, last_year, this_week_mon_today, this_week_sun_today, this_year}
Date ranges container for benchmarking comparison
effective_status
list<string>
Filter ads by effective status. When unset, defaults to not return deleted or archived ads.
time_range
{‘since’:YYYY-MM-DD,’until’:YYYY-MM-DD}
Date range used to aggregate insights metrics

since datetime
A date in the format of "YYYY-MM-DD", which means from the beginning midnight of that day.
until datetime
A date in the format of "YYYY-MM-DD", which means to the beginning midnight of the following day.
Show child parameters
updated_since
integer
filter by updated time

Fields

Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of Ad nodes.
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=__type__).
Field Description
insights
Edge<AdsInsights>
Analytics summary for all objects
total_count
unsigned int32
Total number of objects

default

Error Codes

Error Code Description
100
Invalid parameter
80004
There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management.
200
Permissions error
190
Invalid OAuth 2.0 Access Token
2500
Error parsing graph query

Creating

You can't perform this operation on this endpoint.

Updating

You can't perform this operation on this endpoint.

Deleting

You can't perform this operation on this endpoint.
Did you find this page helpful?
Thumbs up icon
Thumbs down icon